### Class

# Gio DBusMenuModel

#### Description

    final class Gio.DBusMenuModel : Gio.MenuModel
    {
      /* No available fields */
    }

`GDBusMenuModel` is an implementation of `GMenuModel` that can be used as a proxy for a menu model that is exported over D-Bus with `g_dbus_connection_export_menu_model()`.

#### Ancestors

- GMenuModel
- GObject

#### Functions

###### g_dbus_menu_model_get

Obtains a `GDBusMenuModel` for the menu model which is exported at the given `bus_name` and `object_path`.

since: 2.32

#### Instance methods

##### Methods inherited from GMenuModel (8)

###### g_menu_model_get_item_attribute

Queries item at position `item_index` in `model` for the attribute specified by `attribute`.

since: 2.32

###### g_menu_model_get_item_attribute_value

Queries the item at position `item_index` in `model` for the attribute specified by `attribute`.

since: 2.32

###### g_menu_model_get_item_link

Queries the item at position `item_index` in `model` for the link specified by `link`.

since: 2.32

###### g_menu_model_get_n_items

Query the number of items in `model`.

since: 2.32

###### g_menu_model_is_mutable

Queries if `model` is mutable.

since: 2.32

###### g_menu_model_items_changed

Requests emission of the `GMenuModel::items-changed` signal on `model`.

since: 2.32

###### g_menu_model_iterate_item_attributes

Creates a `GMenuAttributeIter` to iterate over the attributes of the item at position `item_index` in `model`.

since: 2.32

###### g_menu_model_iterate_item_links

Creates a `GMenuLinkIter` to iterate over the links of the item at position `item_index` in `model`.

since: 2.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GMenuModel (1)

###### GMenuModel::items-changed

Emitted when a change has occurred to the menu.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.